yuri-pet

Помощь новичку Solidworks

15 047 сообщений в этой теме
30 минут назад, ILL сказал:

я бы так сделал.

А это почему-то не сработало

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах


1 час назад, РоманВ сказал:

А это почему-то не сработало

 

Что именно??

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
52 минуты назад, ILL сказал:

 

Что именно??

Макрос. После его запуска в свойствах модели в графах Обозначение и Наименование ничего не появилось

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

И никаких ошибок не выдает??

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
4 минуты назад, ILL сказал:

И никаких ошибок не выдает??

нет. Первый макрос от Kir95 сработал отлично, только в наименование добавил .sldprt, а этот вообще ничего

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
6 часов назад, РоманВ сказал:

Получилось, только в графе "Наименование" солид вбил вместе с точкой и расширением файла. Получилось Вставка.SLDPRT. Что нужно добавить в макрос чтобы он отбрасывал текст начиная с точки?

Попробуйте такой вариант:

Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long
Dim path As String, filename As String

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager(vbNullString)
    
    path = swModel.GetPathName
    filename = Mid$(path, InStrRev(path, "\") + 1) ' With extension
    filename = Left$(filename, InStrRev(filename, ".") - 1) ' Remove extension

    bool = swCustProp.Add3("Наименование", swCustomInfoText, Right$(filename, Len(filename) - InStrRev(filename, "-")), 2)
    bool = swCustProp.Add3("Обозначение", swCustomInfoText, Left$(filename, InStr(filename, "-") - 1), 2)
    bool = swModel.Save3(1, errors, warnings)
    
End Sub

 

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
13 минуты назад, РоманВ сказал:

а этот вообще ничего

 

Извиняюсь, поторопился.. У меня СВ15, поэтому ругался на Add3 в строках, которые начинаются с

 

bool = swCustProp.Add3

 

Я исправил на 

 

bool = swCustProp.Add

 

Так не ругается, но и не работает.. Должно начинаться с 

 

bool = swCustProp.Add2

 

У меня работает.. 

 

И строку

 

Str = VBA.Mid$(string0, Numb, 3)

 

заменить на

 

Str = VBA.StrConv(VBA.Mid$(string0, Numb, 3), vbLowerCase)

 

Это чтобы от регистра букв не зависеть.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Моё почтенье. 

Такое дело. Создал из тулбокса шестерню. Деталь была ReadOnly.  Сохранил как другую деталь. 

Отредактировал. 

Вставил в сборку. 

Сохраняю сборку. 

Открываю. Опа... а в сборке опять первоначальная шестерня, которая из тулбокса. 

Файл с отредактированной деталью на месте, все изменения в нём на месте. 

Но в сборке он после её закрытия и последующего открытия заменяется на первоначальную деталь. А она вообще в другом файле. 

Что я делаю не так? 

 

Спасибо. 

_crankGear.SLDPRT

Изменено пользователем modsley

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
12 минуты назад, modsley сказал:

Создал из тулбокса шестерню. Деталь была ReadOnly.  Сохранил как другую деталь. 

А отвязать от ToolBox при помощи SldSetDocProp не пробовал?

 

1 пользователю понравилось это

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
16 часов назад, Kir95 сказал:

Попробуйте такой вариант:


Option Explicit
Dim swApp As SldWorks.SldWorks
Dim swModel As ModelDoc2
Dim swModelDocExt As ModelDocExtension
Dim swCustProp As CustomPropertyManager
Dim bool As Boolean
Dim errors             As Long
Dim warnings           As Long
Dim path As String, filename As String

Sub main()
    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set swModelDocExt = swModel.Extension
    Set swCustProp = swModelDocExt.CustomPropertyManager(vbNullString)
    
    path = swModel.GetPathName
    filename = Mid$(path, InStrRev(path, "\") + 1) ' With extension
    filename = Left$(filename, InStrRev(filename, ".") - 1) ' Remove extension

    bool = swCustProp.Add3("Наименование", swCustomInfoText, Right$(filename, Len(filename) - InStrRev(filename, "-")), 2)
    bool = swCustProp.Add3("Обозначение", swCustomInfoText, Left$(filename, InStr(filename, "-") - 1), 2)
    bool = swModel.Save3(1, errors, warnings)
    
End Sub

 

Все сработало как надо! Огромное спасибо!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
15 часов назад, modsley сказал:

Открываю. Опа... а в сборке опять первоначальная шестерня, которая из тулбокса. 

Как написали выше: X:\Program Files\SolidWorks Corp\SolidWorks\Toolbox\data utilities\sldsetdocprop.exe

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
В 13.02.2019 в 18:12, ALASK сказал:

малехо не так -5c64339f8f9e3_2.jpg.5072ea2d22f48e66c9145270fd7e7e92.jpg подрезать изнутри заплатку еще надо

А можно чуть по подробнее, что то у меня не выходит.5c66d551370b8_.thumb.jpg.a6a5ea3691f54803bf858fe968b77b79.jpg

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Бобышку вытянуть с эскиза на сфере не получилось. Получилось сделать заплату и придать толщину. Вообщем спасибо.

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
1 час назад, trainalex сказал:

Бобышку вытянуть с эскиза на сфере не получилось. Получилось сделать заплату и придать толщину. Вообщем спасибо.

Нет рано радовался. Заплата со сферической поверхностью получается только из прямоугольного эскиза, из круглого получается плоская

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

TRAINALEX! Я был не прав, ввел тебя в заблуждение

В 13.02.2019 в 16:15, trainalex сказал:

вытянуть, повернуть потом вычесть

золотые слова! дешево и сердито...

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Здравствуйте. При попытке создать переменную, пишет про не правильный синтаксис. Я что то делаю не так. Вот только, что? Подскажите, пожалуйста, как сделать правильно.

Вопрос.jpg

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
10 часов назад, alexdorf сказал:

Здравствуйте. При попытке создать переменную, пишет про не правильный синтаксис. Я что то делаю не так. Вот только, что? Подскажите, пожалуйста, как сделать правильно.

 

Знакомая проблема. Была актуальна несколько лет назад. Причина - системное обновление KB3072630. Как исправить посмотрите по ссылке

https://www.leninsw.info/2016/11/windows-kb3072630-solidworks-failed-to.html

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
Показать содержимое  
Гуру SW, ищу помощи и знаний в области банальных (это не ракетостроение, всего лишь стандартные детали) построений, а именно - необходимо создать отвод (колено) с заданными параметрами по известным размерам: Z=47.5 мм, L=51 мм, d=90 мм, E=108 мм. Угол колена соответственно 90 градусов (см.приложение)....
На выходе должно быть что-то похожее на уже существующий отвод (см.приложение)
PS при самостоятельных попытках сделать сие чудо появляются не объяснимые деформации детали с изменением радиусов скруглений.... Не могу понять, в чём проблема...
Изменено пользователем Paladin_Of_War

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Paladin_Of_War

Проблема в чём?

Скрытый текст

2Rt4b.png

 

 

То что вы дали размеры ... по ним не получиться деталь похожая на ту что в приложении

Изменено пользователем don108

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@don108 Noup.... Ошибка... Тонкостенный также не даёт сделать...
PS однако она в живую существует.... Ладно, спасибо за ответ
PPS позвольте модель Вашего авторства в студию?

Показать содержимое  

123.thumb.JPG.75e72b9f5865f8952041a2d1a46bad53.JPG234.JPG.f5a74ae1d7bba2bd33de421861f069a5.JPG

Hide 
Изменено пользователем Paladin_Of_War

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
20 минут назад, Paladin_Of_War сказал:

Ошибка... Тонкостенный также не даёт сделать...

Радиус скругления должен больше внешнего радиуса профиля

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Xugack То есть радиус скругления средней линии (45 мм) должен быть больше внешнего радиуса профиля (108 мм), верно понимаю?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
2 минуты назад, Paladin_Of_War сказал:

верно понимаю?

Верно

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@alexdorf попробуй вместо точки запятую или наоборот - вместо запятой - точку

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Xugack Хм, видимо, связано с изменением толщины тонкостенного элемента в месте перегиба.... Но да ладно, вопрос остаётся открытым - детали подобного рода существуют по заданным размерам, как сделать 3D модель.... Либо не хватает данных, либо руки с головой не дружат у меня..

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Paladin_Of_War та деталь что вы прикрепили строится совсем по другому и не за один элемент

Скрытый текст

2Rt9d.png

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@don108 Просветите, как построить сие дело, да чтоб была возможность составить конфигурации под различные типоразмеры (перепробовал множество способов построения, но, увы, к оригиналу не приблизился достаточно близко)

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
3 минуты назад, Paladin_Of_War сказал:

детали подобного рода существуют по заданным размерам

Заданы размеры внутренней геометрии, внешняя может строиться по другим. Если хотите строить операцией по траектории то нужно изменить радиус

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Paladin_Of_War  не стал заморачиваться с внутренним углом

Скрытый текст

2RtcR.png


2RtcQ.png

 

2Rtd3.png

 

 

 

 

Просто тупо подогнал под геометрию детали приложенной, но без внутреннего угла\выступа

Изменено пользователем don108

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Господа, вновь возник вопрос на засыпку - в спецификацию (не по ГОСТ) одна деталь присутствует в кол-ве 4 шт. (3 шт. в одной подсборке, 1 шт. соответственно в другой подсборке), но выводится в качестве двух строк (пример, поз. 64 - 3 шт., поз 83 - 1 шт., НО деталь, повторяюсь, одна и та же). Вопрос - чем обусловлен данный казус и как с ним бороться?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
22 минуты назад, Paladin_Of_War сказал:

 в спецификацию (не по ГОСТ

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
6 минут назад, Yuriy909 сказал:

Проблемка создания тела из 3д эскиза

Не нужно создавать тело из трехмерного эскиза, создавайте из обычных

7 минут назад, Yuriy909 сказал:

кто поможет? 

могу помочь

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
11 минуту назад, Yuriy909 сказал:

Проблемка создания тела из 3д эскиза,

Вам никогда не приходило в голову, что нормальные детали делаются не за одну операцию? И не из одного эскиза.

Поразмышля

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Если не трудно, хотелось бы помощи!

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Yuriy909 конкретнее, помощи в чём ... в освоении SW или построении детали?

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах
20 минут назад, Yuriy909 сказал:

хотелось бы помощи!

На основе вашего эскиза строите обычные, и уже с их помощью строите деталь

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

@Yuriy909 для начала посоветовал бы вам пролистать справку или пособие для начинающих, что бы не создавать бредовые двойные 3-ёх мерные эскизы

 

Скрытый текст

2RwwH.png

 

Это что за бред ... под линией эскиз находиться другая дублирующая ... вы где такое видели?

Изменено пользователем don108

Поделиться сообщением


Ссылка на сообщение
Поделиться на других сайтах

Создайте аккаунт или войдите для комментирования

Вы должны быть пользователем, чтобы оставить комментарий

Создать аккаунт

Зарегистрируйтесь для получения аккаунта. Это просто!


Зарегистрировать аккаунт

Войти

Уже зарегистрированы? Войдите здесь.


Войти сейчас

  • Сейчас на странице   1 пользователь

    • Vdmitriev


  • Сообщения

    • Атан
      Я и не предлагаю отказываться от заимствованных слов. А ворд можно научить чему угодно.... Гармандача.... Вот только зачем? 
    • BOO07
      Проблема решалась. Сбилась таблица с вязкостью материалов
    • Vova
      Ну вот вы и ответили на свой вопрос: http://cccp3d.ru/topic/94159-топ-5-хейтеров-форума-на-ваш-взглядd/?do=findComment&comment=929387   "Базар" принципиальный,  во всех языках есть заимствованные слова. Зачем от них отказываться?   P.S. При желании, Word можно научить этому слову. Есть там такая функция.  
    • Светлана Владимировна
      Компания осуществляет дизайн освещения, есть собственные разработки осветительного оборудования, высокий уровень качества и сервиса.

      Обязанности:
      - Подготовка чертежей для раскройки МДФ панелей на станке с ЧПУ;
      - Ведение проектно-сметной документации;
      - Сопровождение в производстве и проверка соответствия готовой продукции;
      - Выезд на объект для замеров;
      - Планирование торгового зала новых и реконструируемых магазинов.

      Требования:
      - Высшее технического образование;
      - Профессиональные навыки работы AutoCAD, КОМПАС/SolidWorks
      - Знание ArtCam;
      - Рассматриваем кандидата с желанием расти и развиваться профессионально.
      - Личные качества: ответственность, уравновешенность, логическое мышление, стрессоустойчивость, усидчивость.

      Условия:
      - Заработная плата от 65000 руб.(без задержек), оформление по ТК РФ, годовые бонусы;
      - График работы пятидневка с 9:00 до 18:00;
      - Современный офис в шаговой доступности от м. Строгино (мин 7)
      - Стабильный молодой коллектив, открытие вакансии в связи с расширение отдела. Контакты  Светлана

      Тел.:+7 (495) 780-35-58 доб. 108
    • fantom.ul
      Слышал в другой редакции:
      - Эй, насильник! - Я не насильник. - Ну потаскун... Тащи!  
    • ART
      @Blurp @ДУЧ   Нет не флуд, но Есличо то на неделю "отлучения" уже тяните. И Есличо не прекратите то можете и на рекорд пойти - как за "пьянку за рулем" года на 3... "Есличо". Надеюсь доступно объяснил.     И еще касаемо только @Blurp ваша манера общения и картинки из софтов без объяснении начинают раздражать. В какой то момент, без каких либо объяснений и предупреждений, вам будет закрыт доступ на форум. Уж не обессудьте еслиЧо. 
    • ССД
      Доброго всем дня, ищу конкретного и ответственного изготовителя, с имеющимся под наш обьем оборудованием,интересуют сроки и цена! оплата безнал , договор !! Корпус правый 18000 шт. корпус левый 18000 шт. фиксатор 36000 шт. палец 36000 шт. Наконечник троса 36000 шт. наконечник центральной жилы 36000шт изолятор 36000 шт. материал можем предоставить , но не принципиально, желательно взять под ключ! Коллеги обьемы серьезные и для кого то даже очень интересные! жду информации,спасибо) Корпус фиксатора правого.pdf Корпус фиксатора левого.pdf Фиксатор.pdf Палец.pdf Наконечник троса.pdf Наконечник центральной жилы троса.pdf Изолятор.pdf
    • ДОБРЯК
      Милый двоечник. Разделить надо на 7 конгруэнтных частей. Ты хоть понимаешь разницу? )))  
    • ANT0N1DZE
      Доброго времени суток. Требуется изготовить деталь, представленную на рисунке ниже, кол-во 1 шт. Материал 40Х13 или можно обсудить замену на что-то похожее. Чистота поверхности Ra 3,2. Исполнителю скину dxf файл с контуром (кривая часть - это не сфера) Пишите сюда или на почту уже с предварительной ценой nt1856(cобака)mail.ru.        
    • BSV1
      Если уж ударяться в символизм, то Берия - это черное основание, а Курчатов стоит на этом самом основании, ибо не было бы основания (пусть и черного), возможно не было бы и Курчатова.